Skip to main content
GET
/
admin
/
collections
List Collections
curl --request GET \
  --url https://api.headlesscommerce.io/v1/admin/collections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "type": "manual",
      "position": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
starting_after
string

Return results after this ID (cursor)

Response

200 - application/json

Success

data
object[]
total_count
integer

Only returned in Admin API

has_more
boolean
next_cursor
string | null